#! /bin/sh

# This scripts enables/disables DB timeout


usage() {
    echo "Usage: $0 start|stop"
}

if [ $# -ne 1 ]; then
    usage
    exit 1
fi

MYPATH=`dirname $0`
croncmd="/data/components/fgt-mitigation/ag-timeout.py 2>&1"
cronjob="03 * * * * $croncmd"

if [ $1 == "start" ]; then
    cat $MYPATH/plugin.cfg | perl -pe 's/status=stopped/status=ok/g' > /tmp/plugin.cfg
    mv /tmp/plugin.cfg $MYPATH
    chown root:root $MYPATH/plugin.cfg
    # plan the timeout script in the crontab
    ( crontab -u flowmon -l | grep -v -F "$croncmd" ; echo "$cronjob" ) | crontab -u flowmon -
elif [ $1 == "stop" ]; then
    cat $MYPATH/plugin.cfg | perl -pe 's/status=ok/status=stopped/g' > /tmp/plugin.cfg
    mv /tmp/plugin.cfg $MYPATH
    chown root:root $MYPATH/plugin.cfg
    # remove it from CRON
    ( crontab -u flowmon -l | grep -v -F "$croncmd" ) | crontab -u flowmon -
fi

exit 0